## ros-noetic-moveit-opw-kinematics-plugin 0.4.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(moveit_opw_kinematics_plugin)

set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS
  eigen_conversions
  moveit_core
  roscpp
  pluginlib
)

set(MOVEIT_LIB_NAME moveit_opw_kinematics_plugin)

# System dependencies are found with CMake's conventions
find_package(Boost REQUIRED COMPONENTS filesystem)

find_package(opw_kinematics REQUIRED)

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if your package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
  LIBRARIES ${MOVEIT_LIB_NAME}
  CATKIN_DEPENDS roscpp
)

###########
## Build ##
###########


## Specify additional locations of header files
## Your package locations should be listed before other locations
include_directories(
  include
  ${catkin_INCLUDE_DIRS}
)

# Declare a C++ library
add_library(${MOVEIT_LIB_NAME}
  src/moveit_opw_kinematics_plugin.cpp
)

target_link_libraries(${MOVEIT_LIB_NAME}
  ${catkin_LIBRARIES}
  opw_kinematics::opw_kinematics
)

#############
## Install ##
#############

# Mark executables and/or libraries for installation
install(TARGETS ${MOVEIT_LIB_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(
  FILES
    moveit_opw_kinematics_plugin_description.xml
  DESTINATION
    ${CATKIN_PACKAGE_SHARE_DESTINATION})

#############
## Testing ##
#############

if(CATKIN_ENABLE_TESTING)
  find_package(moveit_ros_planning REQUIRED)
  find_package(rostest REQUIRED)

  include_directories(test ${moveit_ros_planning_INCLUDE_DIRS})
  
  add_rostest_gtest(${PROJECT_NAME}_test_kuka
    test/test_kuka.rostest test/test_plugin.cpp
    test/test_kuka_specific.cpp
  )
  target_link_libraries(${PROJECT_NAME}_test_kuka
    gtest
    ${moveit_ros_planning_LIBRARIES}
    ${catkin_LIBRARIES}
    ${MOVEIT_LIB_NAME}
  )

  add_rostest_gtest(${PROJECT_NAME}_test_fanuc
    test/test_fanuc.rostest
    test/test_plugin.cpp
  )
  target_link_libraries(${PROJECT_NAME}_test_fanuc
    gtest
    ${moveit_ros_planning_LIBRARIES}
    ${catkin_LIBRARIES}
    ${MOVEIT_LIB_NAME}
  )

  add_rostest_gtest(${PROJECT_NAME}_test_fanuc_faulty
    test/test_fanuc_faulty_params.rostest
    test/test_faulty_params.cpp
  )
  target_link_libraries(${PROJECT_NAME}_test_fanuc_faulty
    gtest
    ${moveit_ros_planning_LIBRARIES}
    ${catkin_LIBRARIES}
    ${MOVEIT_LIB_NAME}
  )

  add_rostest_gtest(${PROJECT_NAME}_test_kuka_faulty
    test/test_kuka_faulty_params.rostest
    test/test_faulty_params.cpp
  )
  target_link_libraries(${PROJECT_NAME}_test_kuka_faulty
    gtest
    ${moveit_ros_planning_LIBRARIES}
    ${catkin_LIBRARIES}
    ${MOVEIT_LIB_NAME}
  )
endif()

=== debian/changelog ===
ros-noetic-moveit-opw-kinematics-plugin (0.4.0-3focal) focal; urgency=high

  * Update status badge noetic-devel (default) branch
  * Run melodic ci job on ubuntu 18.04
  * Sync melodic changes to noetic
    - fix bug introduced when cherry-picking commits
    - minor formatting improvement
    - replace logstring with variable LOGNAME
    - print out odd posture used in self-test on error
    - Print all deviations and check zero pose as well
  * Update Jeroen's email address
  * Add github actions
    - Add roscpp as CATKIN_DEPENDS
    - Use the .ci.rosinstall to install dependencies
    - Move rosinstall for testing to typical place for industrial-ci
    - Update ci badges to GHA
    - Remove travis
  * Contributors: JeroenDM, Simon Schmeisser

 -- Jeroen De Maeyer <lousymessenger@gmail.com>  Tue, 04 Jan 2022 23:00:00 -0000

ros-noetic-moveit-opw-kinematics-plugin (0.3.1-3focal) focal; urgency=high

  * First release in noetic.
  * update to new opw_kinematics API (with std::array)
  * Add opw_kinematics dependency to package.xml and CMakeLists.txt.
  * Remove opw_kinematics submodule.
  * Change moveit_resources to more specific moveit_resources_fanuc_moveit_config
  * Minor changes:
    - It's not a service based IK solver.
    - Parameters don't always come from 'kinematics.yaml'.
  * Contributors: JeroenDM, gavanderhoorn.

 -- Jeroen De Maeyer <jeroen.demaeyer@kuleuven.be>  Tue, 21 Sep 2021 22:00:00 -0000

ros-noetic-moveit-opw-kinematics-plugin (0.2.1-3focal) focal; urgency=high

  * First release in melodic.

 -- Jeroen De Maeyer <jeroen.demaeyer@kuleuven.be>  Tue, 12 May 2020 22:00:00 -0000

ros-noetic-moveit-opw-kinematics-plugin (0.1.1-3focal) focal; urgency=high

  * First release in kinetic.

 -- Jeroen De Maeyer <jeroen.demaeyer@kuleuven.be>  Tue, 12 May 2020 22:00:00 -0000

=== debian/control ===
Source: ros-noetic-moveit-opw-kinematics-plugin
Section: misc
Priority: optional
Maintainer: Jeroen De Maeyer <lousymessenger@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-eigen-conversions, ros-noetic-moveit-core, ros-noetic-moveit-resources-fanuc-moveit-config, ros-noetic-moveit-ros-planning, ros-noetic-opw-kinematics, ros-noetic-pluginlib, ros-noetic-roscpp, ros-noetic-rostest
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-moveit-opw-kinematics-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-moveit-core, ros-noetic-pluginlib, ros-noetic-roscpp
Description: MoveIt kinematics plugin for industrial robots.
 This plugin uses an analytical inverse kinematic library, opw_kinematics, to calculate the inverse kinematics for industrial robots with 6 degrees of freedom, two parallel joints, and a spherical wrist.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-moveit-opw-kinematics-plugin//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
